Create or update cash flow targets
curl --request PUT \
--url https://thirdparty.qonto.com/v1/thirdparty/cash_flow_targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
{
"category_id": "3786f44c-a2e1-472e-870d-4cdb152b33fa",
"year": 2025,
"month": 6,
"amount": {
"value": "5000.00",
"currency": "EUR"
}
}
]
}
'import requests
url = "https://thirdparty.qonto.com/v1/thirdparty/cash_flow_targets"
payload = { "targets": [
{
"category_id": "3786f44c-a2e1-472e-870d-4cdb152b33fa",
"year": 2025,
"month": 6,
"amount": {
"value": "5000.00",
"currency": "EUR"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targets: [
{
category_id: '3786f44c-a2e1-472e-870d-4cdb152b33fa',
year: 2025,
month: 6,
amount: {value: '5000.00', currency: 'EUR'}
}
]
})
};
fetch('https://thirdparty.qonto.com/v1/thirdparty/cash_flow_targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cash_flow_targets": [
{
"scenario_id": "019259fb-8731-767a-b8fd-9206aa052e3d",
"category_id": "3786f44c-a2e1-472e-870d-4cdb152b33fa",
"year": 2025,
"month": 6,
"amount": {
"value": "5000.00",
"currency": "EUR"
}
}
]
}Targets
Create or update cash flow targets
OAuth scope: cash_flow_category.write
Creates or updates targets in bulk. All targets are applied atomically: if any entry is invalid, none of them are saved.
PUT
/
v1
/
thirdparty
/
cash_flow_targets
Create or update cash flow targets
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
Returns the targets as stored after the upsert.
Show child attributes
Show child attributes
Was this page helpful?